<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY libmypaint-download-http "https://github.com/mypaint/libmypaint/releases/download/v&libmypaint-version;/libmypaint-&libmypaint-version;.tar.xz">
  <!ENTITY libmypaint-download-ftp  " ">
  <!ENTITY libmypaint-md5sum        "7f1dab2d30ce8a3f494354c7c77a2977">
  <!ENTITY libmypaint-size          "508 KB">
  <!ENTITY libmypaint-buildsize     "11 MB (add 1 MB for tests)">
  <!ENTITY libmypaint-time          "0.1 SBU (add 0.3 SBU for tests)">
]>

<sect1 id="libmypaint" xreflabel="libmypaint-&libmypaint-version;">
  <?dbhtml filename="libmypaint.html"?>


  <title>libmypaint-&libmypaint-version;</title>

  <indexterm zone="libmypaint">
    <primary sortas="a-libmypaint">libmypaint</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to libmypaint</title>

    <para>
      The <application>libmypaint</application> package, a.k.a. "brushlib", is a
      library for making brushstrokes which is used by MyPaint and other
      projects.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&libmypaint-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&libmypaint-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &libmypaint-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &libmypaint-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &libmypaint-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &libmypaint-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">libmypaint Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="json-c"/>
    </para>

    <bridgehead renderas="sect4">Recommended</bridgehead>
    <para role="recommended">
      &gobject-introspection;
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="doxygen"/> (to create XML docs),
      <ulink url="https://download.gimp.org/pub/gegl/0.3/">gegl (0.3 versions only)</ulink> and
      <ulink url="https://github.com/gperftools/gperftools">gperftools</ulink>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of libmypaint</title>

    <para>
      Install <application>libmypaint</application> by running the following
      commands:
    </para>

<screen><userinput>./configure --prefix=/usr &amp;&amp;
make</userinput></screen>

    <para>
      To test the results, issue: <command>make check</command>.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>
  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directory</segtitle>

      <seglistitem>
        <seg>
          None.
        </seg>
        <seg>
          libmypaint.so (and optionally libmypaint-gegl.so which is not
          used by any packages in this book).
        </seg>
        <seg>
          /usr/include/libmypaint
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="libmypaint-lib">
        <term><filename class="libraryfile">libmypaint.so</filename></term>
        <listitem>
          <para>
            contains functions for making brushstrokes
          </para>
          <indexterm zone="libmypaint libmypaint-lib">
            <primary sortas="c-libmypaint">libmypaint.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>
    </variablelist>
  </sect2>

</sect1>
